import ogr

from importer import Importer
import shpimporter

NAME="Axis"
TABLE_NAME="river_axes"
PATH="Geodaesie/Flussachse+km"


class Axis(Importer):

    def getPath(self, base):
        return "%s/%s" % (base, PATH)


    def getTablename(self):
        return TABLE_NAME


    def getName(self):
        return NAME


    def isGeometryValid(self, geomType):
        return geomType == 2


    def isShapeRelevant(self, name, path):
        return name == "achse" or name.find("achse") >= 0


    def createNewFeature(self, featureDef, feat, **args):
        newFeat = ogr.Feature(featureDef)
        newFeat.SetGeometry(feat.GetGeometryRef())
        newFeat.SetField("name", args['name'])

        if self.IsFieldSet(feat, "river_id"):
            riverId = feat.GetField("river_id")
        else:
            riverId = self.river_id

        if self.IsFieldSet(feat, "kind"):
            kind = feat.GetField("kind")
        else:
            kind = 0

        newFeat.SetField("river_id", riverId)
        newFeat.SetField("kind", kind)

        return newFeat

